Subject: bug#32159: 26.1; inhibit-compacting-font-caches does not fix all fonts lagging issue

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Jul 2018 05:39:37 +0300

> From: Moses <[email-masked]>
> Date: Sun, 15 Jul 2018 00:02:13 +0000
> 
> For bug#24938, I have to set inhibit-compacting-font-caches to non-nil
> [0] to fix the lagging issue. It fixes almost but not all the
> problems. Lagging reappears when I opening a multi languages file
> (e.g. M-x view-hello-file),  Emacs could become very very slow until
> the file is completely opened.

That lagging might have a valid reason: how many fonts do you have
installed?  What does (length (x-list-fonts "*")) return?

If you have many fonts, Emacs will search them all to find a suitable
one, and if some characters in HELLO don't have fonts, it will search
them several times.  That might take time.  If the lagging disappears
once you display the entire file, that is most probably the reason.